#include <akaxiso/akaxiso.h>
#include <akaxiso/content_model.h>
#include <iostream>

#include "tutorial6.h"

int main() {
  aka::initialize();
  instantiate_xiso();

  menu root; // Document root node.
  root.breakfast_ = "toast and boiled eggs.";
  root.lunch_ = "curry";
  root.dinner_ = "pork";

  {
    aka::xml_serializer ser;
    ser.serialize(root, "menu", std::cout);
  }

  aka::uninitialize();
}
